AOP proxy classes are cached in production mode

Associated revisions
Revision f59cdeac - 2008-02-28 16:22 - Robert Lemke

The results of some more work on the caching features for FLOW3:

    -  FLOW3: (Cache) Implemented has() and remove() for the File backend. Addresses #368.
    -  FLOW3: (AOP) The proxy classes are now cached independently for each context (Development & Testing for example) which results in better
separation of the testcase environment from the regular FLOW3 environment.
    -  FLOW3: (AOP) Names of proxy classes are now suffixed by a hash which allows existence of multiple proxies for the same target class - mainly
useful for testing and for switching proxy implementations on the fly.
    -  FLOW3: (AOP) Proxy classes are now stored in the new file cache - but not yet loaded from it. Addresses #216.
    -  Testing: The testrunner now makes a new instance of the whole FLOW3 framework instead just cloning the component manager. Therefore the
surrounding system may run in Development mode

Revision e560a2f7 - 2008-03-04 18:06 - Robert Lemke

AOP Proxy classes are now cached - and some other improvements with a big speed gain:

    -  FLOW3: (AOP) !!! Implemented a preliminary solution for caching AOP Proxy classes. Note that you currently need to flush the AOP Proxy Cache
manually if you play with aspects! Just find PHPs temporary directory and delete the FLOW3 directory. This situation will change soon! Addresses
#216.
    -  FLOW3: (AOP) Cleaned up more parts of the AOP framework and made functions static which weren't yet.
    -  FLOW3: (Component) Worked on optimzation of getAllImplementationClassNamesForInterface() (Component Manager).

History
#1 - 2008-03-18 13:40 - Robert Lemke
- Status changed from New to Accepted
- % Done changed from 0 to 80

#2 - 2008-03-20 08:08 - Robert Lemke
- Assigned To deleted (Robert Lemke)

#3 - 2008-07-01 15:29 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 80 to 100
- Estimated time set to 0.00

#4 - 2008-07-01 15:32 - Robert Lemke
- Target version deleted (18)
